[Python-modules-commits] [pymarkups] 06/06: Add an autopkgtest.
Dmitry Shachnev
mitya57 at moszumanska.debian.org
Sun Dec 13 19:07:43 UTC 2015
This is an automated email from the git hooks/post-receive script.
mitya57 pushed a commit to branch master
in repository pymarkups.
commit 8ce23c2c19a6d7ccfa0212b53cd989437883ef00
Author: Dmitry Shachnev <mitya57 at gmail.com>
Date: Sun Dec 13 22:07:23 2015 +0300
Add an autopkgtest.
---
debian/changelog | 1 +
debian/tests/control | 3 +++
debian/tests/python3-markups | 10 ++++++++++
3 files changed, 14 insertions(+)
diff --git a/debian/changelog b/debian/changelog
index c6fc0dd..d2dd978 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -5,6 +5,7 @@ pymarkups (1.0.0-1) UNRELEASED; urgency=medium
* Update package description.
* Drop custom dh_auto_test override, let pybuild do the right thing.
* Bump X-Python3-Version to 3.2, following upstream.
+ * Add an autopkgtest.
-- Dmitry Shachnev <mitya57 at debian.org> Fri, 18 Sep 2015 13:41:19 +0300
diff --git a/debian/tests/control b/debian/tests/control
new file mode 100644
index 0000000..15cea27
--- /dev/null
+++ b/debian/tests/control
@@ -0,0 +1,3 @@
+Tests: python3-markups
+Depends: python3-docutils, python3-markdown, python3-markups
+Restrictions: allow-stderr
diff --git a/debian/tests/python3-markups b/debian/tests/python3-markups
new file mode 100644
index 0000000..a038853
--- /dev/null
+++ b/debian/tests/python3-markups
@@ -0,0 +1,10 @@
+#!/bin/sh
+
+set -eux
+cp -r tests README.rst "$ADTTMP/"
+cd "$ADTTMP"
+
+for python in $(py3versions -i); do
+ $python -m unittest discover -s tests -v
+ $python -m doctest README.rst -v
+done
--
Alioth's /usr/local/bin/git-commit-notice on /srv/git.debian.org/git/python-modules/packages/pymarkups.git
More information about the Python-modules-commits
mailing list